Summary:	Das U-Boot -- the Universal Boot Loader
Summary(pl.UTF-8):	Das U-Boot - uniwersalny bootloader
Name:		uboot
Version:	2013.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.denx.de/pub/u-boot/u-boot-%{version}.tar.bz2
# Source0-md5:	a076a044b64371edc52f7e562b13f6b2
URL:		http://www.denx.de/wiki/U-Boot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Das U-Boot (Universal Bootloader, German for "the submarine") is a
boot loader for a number of different computer architectures,
including PPC, ARM, AVR32, MIPS, x86, 68k, Nios, and MicroBlaze.

%description -l pl.UTF-8
Das U-Boot (Universal Bootloader lub "łódź podwodna" po niemiecku) to
bootloader dla wielu różnych architektur komputerów, w tym PPC, ARM,
AVR32, MIPS, x86, 68k, Nios i MicroBlaze.

%package mkimage
Summary:	Generate kernel image for U-Boot
Summary(pl.UTF-8):	Generowanie obrazu jądra dla U-Boota
Group:		Applications/System

%description mkimage
This package contains the mkimage utility, which encapsulates a
compressed "uImage" Linux kernel image with header information, CRC32
checksum, etc., for use with the U-Boot bootloader.

mkimage can also be used to create ramdisk images for use with U-Boot,
either separated from the Linux kernel image, or combined into one
file. mkimage encapsulates the images with a 64 byte header containing
information about target architecture, operating system, image type,
compression method, entry points, time stamp, CRC32 checksums, etc.

%description mkimage -l pl.UTF-8
Ten pakiet zawiera narzędzie mkimage, łączące skompresowany obraz
jądra Linuksa "uImage" w nagłówkiem, sumą kontrolną CRC32 itp. do
wykorzystania przez bootloader U-Boot.

mkimage może być używane także do tworzenia obrazów ramdysków do
wykorzystania przez U-Boota - osobnych w stosunku do obrazu jądra
lub połączonych w jeden plik. mkimage obudowuje obrazy w 64-bajtowy
nagłówek zawierający informacje o architekturze docelowej, systemie
operacyjnym, rodzaju obrazu, metodzie kompresji, punktach wejściowych,
czasie utworzenia, sumach kontrolnych CRC32 itp.

%prep
%setup -q -n u-boot-%{version}

%build
%{__make} tools \
	HOSTCC="%{__cc}" \
	HOSTSTRIP=: \
	HOST_CFLAGS="%{rpmcflags}" \
	HOST_LDFLAGS="%{rpmldflags}" \
	BIN_FILES="bmp_logo gen_eth_addr img2srec mkimage"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install tools/mkimage $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README

%files mkimage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkimage
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uboot.git;a=log;h=master

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> a8e648b
- updated to 2013.10

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 6436a7d
- up to 2013.07

* Sun Feb 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 039ed93
- updated to 2013.01.01

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3af7943
- updated to 2013.01

* Sun Nov 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 8ee1e89
- up to 2012.10

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> d3dd7cf
- up to 2011.03
- pl

* Tue Nov 03 2009 Elan Ruusamäe <glen@pld-linux.org> b52153e
- release 2

* Fri Feb 06 2009 kosmo <kosmo@pld-linux.org> 59931f1
- updated to 2009.01
- use PLD cflags and ldflags.

* Mon Sep 15 2008 sparky <sparky@pld-linux.org> 3d694d3
- working URI

* Mon Jun 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ba1a3b
- rel 1

* Mon Jun 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c7c7eeb
- up to 1.3.3

* Tue May 06 2008 Elan Ruusamäe <glen@pld-linux.org> ac10ab2
- new from template, mkimage desc from debian

